> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Search Global Entry

GET https://api.npretail.app/{tenant}/{environment}/{company}/pos/globalentry/search

Search for Global Entries by Document No, Store and POS Unit.

Reference: https://docs.navipartner.com/apis/api-reference/pos/globalentry/search-global-entry

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)

### Query parameters

- `documentNo` (string, required) — Sales ticket no.
- `posStore` (string, optional) — Identification of the store
- `posUnit` (string, optional) — Identification of the POS unit

## Response

### 200

- `globaleEntries` (list of GlobalEntrySale, required)

## Types

### GlobalEntrySale

- `id` (UUID, required) — The id of a Global Entry.
- `posStore` (string, required) — Identification of the store
- `posUnit` (string, required) — Identification of the POS unit
- `documentNo` (string, required) — Sales ticket no.
- `entryTime` (datetime, required)
- `entryType` (enum, required)
  - Allowed values: `Direct Sale`, `Credit Sale`
- `postingDate` (date, required)
- `fiscalNumber` (string, required)
- `salesAmount` (double, required)
- `discountAmount` (double, required)
- `totalAmountExclVAT` (double, required)
- `totalAmountInclVAT` (double, required)
- `totalVATAmount` (double, required)
- `company` (string, optional)
- `customerNo` (string, optional)
- `salesperson` (string, optional)
- `currencyCode` (string, optional)
- `currencyFactor` (double, optional)
- `salesLines` (list of GlobalEntrySaleLine, optional) — List of sold items
- `paymentLines` (list of GlobalEntryPaymentLine, optional) — List of payments
- `posInfos` (list of POSInfo, optional) — List of Info entries
- `extensionFields` (list of ExtensionField, optional) — Additional data. Definition of fieldId and format of data in fieldValue have to be agreed with receiver of data

### GlobalEntrySaleLine

- `lineNo` (integer, required)
- `type` (enum, required)
  - Allowed values: ` `, `G/L Account`, `Item`, `Customer`, `Voucher`, `Payout`, `Rounding`
- `code` (string, required)
- `quantity` (double, required)
- `returnedQuantity` (double, required)
- `baseQuantity` (double, required)
- `unitPrice` (double, required)
- `vatPct` (double, required)
- `lineDiscountPct` (double, required)
- `lineDiscountAmountExclVAT` (double, required)
- `lineDiscountAmountInclVAT` (double, required)
- `lineAmount` (double, required)
- `amountExclVAT` (double, required)
- `amountInclVAT` (double, required)
- `lineDiscountAmountExclVATLCY` (double, required)
- `lineDiscountAmountInclVATLCY` (double, required)
- `amountExclVATLCY` (double, required)
- `amountInclVATLCY` (double, required)
- `variantCode` (string, optional)
- `referenceNumber` (string, optional)
- `bomItemCode` (string, optional)
- `locationCode` (string, optional)
- `description` (string, optional)
- `description2` (string, optional)
- `unitOfMeasureCode` (string, optional)
- `currencyCode` (string, optional)
- `globalReference` (string, optional) — A unique reference to the sales line.
- `extensionFields` (list of ExtensionField, optional) — Additional data. Definition of fieldId and format of data in fieldValue have to be agreed with receiver of data

### GlobalEntryPaymentLine

- `lineNo` (integer, required)
- `paymentMethod` (string, required)
- `amountLCY` (double, required)
- `amount` (double, required)
- `documentNo` (string, optional) — Sales ticket no.
- `description` (string, optional)
- `currencyCode` (string, optional)
- `extensionFields` (list of ExtensionField, optional) — Additional data. Definition of fieldId and format of data in fieldValue have to be agreed with receiver of data

### POSInfo

- `lineNo` (integer, required)
- `saleLineNo` (integer, optional)
- `infoCode` (string, optional)
- `code` (string, optional)
- `description` (string, optional)
- `quantity` (double, optional)
- `price` (double, optional)
- `netAmount` (double, optional)
- `grossAmount` (double, optional)
- `discountAmount` (double, optional)
- `extensionFields` (list of ExtensionField, optional) — Additional data. Definition of fieldId and format of data in fieldValue have to be agreed with receiver of data

### ExtensionField

additional data. Definition of fieldId and format of data in fieldvalue have to be agreed

- `fieldId` (integer, required)
- `fieldValue` (string, required)

## Examples

**Response**

```json
{
  "globaleEntries": [
    {
      "id": "4ca28ccc-e84b-4788-973c-c8ce5a59383b",
      "posStore": "0321",
      "posUnit": "POS-031",
      "documentNo": "12345678",
      "entryTime": "2024-12-25T12:43:56Z",
      "entryType": "Direct Sale",
      "postingDate": "2024-12-25",
      "fiscalNumber": "F0078865",
      "salesAmount": 649.9,
      "discountAmount": 80,
      "totalAmountExclVAT": 519.92,
      "totalAmountInclVAT": 649.9,
      "totalVATAmount": 129.98,
      "company": "Sales Company",
      "customerNo": "D000188",
      "salesperson": "CLARK",
      "currencyCode": "",
      "currencyFactor": 1,
      "salesLines": [
        {
          "lineNo": 1,
          "type": "Item",
          "code": "80005",
          "quantity": 1,
          "returnedQuantity": 0,
          "baseQuantity": 1,
          "unitPrice": 249.9,
          "vatPct": 25,
          "lineDiscountPct": 0,
          "lineDiscountAmountExclVAT": 0,
          "lineDiscountAmountInclVAT": 0,
          "lineAmount": 249.9,
          "amountExclVAT": 199.92,
          "amountInclVAT": 249.9,
          "lineDiscountAmountExclVATLCY": 0,
          "lineDiscountAmountInclVATLCY": 0,
          "amountExclVATLCY": 199.92,
          "amountInclVATLCY": 249.9,
          "variantCode": "025",
          "referenceNumber": "9780201379624",
          "bomItemCode": "66",
          "locationCode": "LOC-01",
          "description": "Hummel Hamar Leggings",
          "description2": "Co:BLUE Sz:L",
          "unitOfMeasureCode": "PCS",
          "currencyCode": "",
          "globalReference": "D6E88A5E52E542F0AAA96F08F40B6EC9",
          "extensionFields": [
            {
              "fieldId": 50100,
              "fieldValue": "value to apply to the custom field on sales line"
            }
          ]
        },
        {
          "lineNo": 2,
          "type": "Item",
          "code": "80006",
          "quantity": 2,
          "returnedQuantity": 1,
          "baseQuantity": 2,
          "unitPrice": 250,
          "vatPct": 25,
          "lineDiscountPct": 20,
          "lineDiscountAmountExclVAT": 80,
          "lineDiscountAmountInclVAT": 100,
          "lineAmount": 400,
          "amountExclVAT": 320,
          "amountInclVAT": 400,
          "lineDiscountAmountExclVATLCY": 80,
          "lineDiscountAmountInclVATLCY": 100,
          "amountExclVATLCY": 320,
          "amountInclVATLCY": 400,
          "variantCode": "L",
          "referenceNumber": "9780201379648",
          "locationCode": "LOC-01",
          "description": "Hummel Alta T-shirt",
          "description2": "Co:RED Sz:L",
          "unitOfMeasureCode": "PCS",
          "currencyCode": "",
          "globalReference": "84E18BA8D5494605B605CD6192068FC2"
        },
        {
          "lineNo": 3,
          "type": "Rounding",
          "code": "ROUNDINGS",
          "quantity": 1,
          "returnedQuantity": 0,
          "baseQuantity": 1,
          "unitPrice": 0.1,
          "vatPct": 0,
          "lineDiscountPct": 0,
          "lineDiscountAmountExclVAT": 0,
          "lineDiscountAmountInclVAT": 0,
          "lineAmount": 0,
          "amountExclVAT": 0.1,
          "amountInclVAT": 0.1,
          "lineDiscountAmountExclVATLCY": 0,
          "lineDiscountAmountInclVATLCY": 0,
          "amountExclVATLCY": 0.1,
          "amountInclVATLCY": 0.1,
          "locationCode": "LOC-01",
          "description": "Rounding",
          "unitOfMeasureCode": "",
          "currencyCode": ""
        }
      ],
      "paymentLines": [
        {
          "lineNo": 1,
          "paymentMethod": "CASH",
          "amountLCY": 650,
          "amount": 650,
          "documentNo": "12345678",
          "description": "Cash payment",
          "currencyCode": "",
          "extensionFields": [
            {
              "fieldId": 50100,
              "fieldValue": "value to apply to custom field on payment line"
            }
          ]
        }
      ],
      "posInfos": [
        {
          "lineNo": 4,
          "saleLineNo": 1,
          "infoCode": "AFK",
          "code": "123-ABC",
          "description": "description",
          "quantity": 1,
          "price": 249.9,
          "netAmount": 199.92,
          "grossAmount": 249.9,
          "discountAmount": 0,
          "extensionFields": [
            {
              "fieldId": 50100,
              "fieldValue": "value to apply to custom field on pos info"
            }
          ]
        }
      ],
      "extensionFields": [
        {
          "fieldId": 50100,
          "fieldValue": "value to apply to the custom field on pos entry"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Response
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search"

querystring = {"documentNo":"12345678","posStore":"0321"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Response
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/globalentry/search?documentNo=12345678&posStore=0321")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```